Magical Crystals (c) 1991 Kaneko.


- TECHNICAL -
Main CPU : 68000 (@ 12 Mhz)
Sound Chips : (2x) AY8910 (@ 2 Mhz), OKI6295 (@ 18.181 Khz)
Screen orientation : Horizontal
Video resolution : 256 x 224 pixels
Screen refresh : 60.00 Hz
Palette colors : 2048
Players : 2
Control : 8-way joystick
Buttons : 2

- TRIVIA -
Also licensed to Atlus.


- STAFF -
Programmers : S. Igarashi (Toy), Y. Shiono (Borg), M. Satoh, Y. Sakakura
Graphics designers : K. Matsuoka, T. Takei, H. Kumagai, H. Yoshida
Graphics support : H. Narushima, H. Watanabe, Y. Kubo, S. Hozumi, A.

Funatsu
Music / Sound effects : Tatsuya Watanabe, H. Higashi, Y. Abe, - K.I.S.S.


-
Hardware : H. Morinaga
Management : N. Tanaka
Producer : Hiroshi Kaneko
